Name:		noattach
Version:	1.2
Release:	0
Summary:	An attachment filter for sendmail.
Group:		System Environment/Daemons
License:	GPL
URL:		ftp://ftp.rhnet.is/pub/noattach/
Source0:	noattach-%{version}.tar.gz
Source1:	noattach.patterns
Source2:	noattach.sh
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	sendmail-devel
Requires:	sendmail sendmail-cf

%description
There really isn't much to say, noattach is a milter that parses the body
of email messages from sendmail and checks if the filename of attachments
matches one of the regular expressions in a given pattern file and rejects
those emails that match.
Filenames are rfc2047 or rfc2231 decoded if needed.


%prep
%setup -q
mv examples/README README.patterns

%build
%configure --with-pat-file=%{_sysconfdir}/mail/noattach.patterns
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/mail/
install -d $RPM_BUILD_ROOT%{_initrddir}/
install -d $RPM_BUILD_ROOT%{_localstatedir}/run/noattach/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mail/
install %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/noattach
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%pre


%post
/sbin/chkconfig --add noattach


%preun
if [ $1 -eq 0 ]; then
	/sbin/service noattach stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del noattach
fi


%postun
/sbin/service noattach condrestart > /dev/null 2>&1 || :


%files
%defattr(0644,root,root,0755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO VERSION
%doc README.libmilter README.patterns
%config(noreplace) %{_sysconfdir}/mail/noattach.patterns
%attr(0755,root,root) %{_initrddir}/noattach
%attr(0755,root,root) %{_bindir}/noattach
%attr(0755,root,root) %dir %{_localstatedir}/run/noattach/
%{_mandir}/man[^3]/*


%changelog
* Thu Dec 2 2004 Petr Kritof <Petr|Kristof_CZ> 1.2beta2-0
- Build on FC-3
- Initial RPM release

