/*
 *   $Id$
 *   Changes made to the original by Olafur Osvaldsson (See ChangeLog)
 *   Copyright (C) 2002 Olafur Osvaldsson
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef	rfc2047_h
#define	rfc2047_h

/*
** Copyright 1998 - 2000 Double Precision, Inc.  See COPYING for
** distribution information.
*/

static const char rfc2047_h_rcsid[] = "$Id$";

extern int
rfc2047_decode(const char *text,
	       int (*func) (const char *, int, const char *, void *),
	       void *arg);

    extern char    *
    		    rfc2047_decode_simple(const char *text);

#endif				/* rfc2047_h */
